CMS Tool API schema
Public API version 1.4.10.
Member Group
Group members/customers, each member can belong to unlimited groups. Groups can contain groups
Endpoint URL
https://api.cms-tool.net/api/membergroups
/api/membergroups
Read and update member groups.
GET
List records, or retrieve one by appending its ID to the path.
Query parameters
| Name | Type | Example | Notes |
|---|---|---|---|
id | int | 123 | Filter results by id. |
group | text | example | Filter results by group. |
userSelectable | boolean | true | Filter results by user selectable. Accepts true or 1. |
offset | int | 123 | Skip this many matching records before returning results. |
pageSize | int | 123 | Limit the number of records returned. |
POST
Create or update a record from a JSON object.
Request content type: application/json
Request body fields
| Name | Type | Example | Notes |
|---|---|---|---|
id | int | 123 | Set the id value. |
mbr_group | text | example | Set the mbr group value. |
mbr_group_user_selectable | boolean | true | Set the mbr group user selectable value. Accepts true or 1. |
Data definitions
| Field | Type | Description | Format | Example |
|---|---|---|---|---|
mbr_group_count_members | int | Count of members in this group (readonly) | ||
mbr_group_parent | int | ID of a parent group in a nested group heirachy | ||
mbr_group | text | The name of this member group | ||
mbr_groupid | serial | System generated group ID (readonly, primary ID) | 123456 |
Usage instructions and examples
View your member groups
Use the member groups endpoint with GET method to get all the member groups.
{
"id":123,
"cid": 111,
"mbr_group": "Special Members",
"mbr_group_count_members": "20",
"mbr_group_user_selectable": "t"
} ...
Create new member group
To create a new entry use POST method. Do not provide the id to create a new group.
Example:
{
"mbr_group": "New Special Members",
"mbr_group_count_members": "20",
"mbr_group_user_selectable": "t"
}
Update a member group
To update a group please provide the id of the group you wish to update. Rest of the information will be used to update the group. The member group count can not be updated without adding the members to the group first.
Example:
{
"id": 1234,
"mbr_group": "New Special Members",
"mbr_group_user_selectable": "t"
}
Sample object
{
"mbr_group_count_members": 7,
"mbr_group": "Developers",
"mbr_group_user_selectable": "f",
"id": 23958,
"cid": 1234
}Machine-readable documentation
This documentation is also available as JSON or Markdown at the same URL. Request JSON with Accept: application/json or Markdown with Accept: text/markdown.